Subject: [lemonade] CONTEXT with sequence searches

From: Timo Sirainen <[email-masked]>
Date: Thu, 05 Jun 2008 01:02:40 +0300

If a mailbox has 3+ messages and I use:

1 SEARCH RETURN (UPDATE) 2
* ESEARCH (TAG "1") 2
1 OK

What happens when the first message gets expunged?

a) Nothing? (What if second message gets expunged?)

b)

* ESEARCH (TAG "1") UID REMOVEFROM (0 2)
* 1 EXPUNGE
* ESEARCH (TAG "1") UID ADDTO (0 2)

I think I prefer b). Then it would match the (required?) behavior of:

2 UID SEARCH RETURN (UPDATE) 2
* ESEARCH (TAG "2") 123
2 OK
..
* ESEARCH (TAG "2") UID REMOVEFROM (0 123)
* 1 EXPUNGE
* ESEARCH (TAG "2") UID ADDTO (0 124)

I think these would be a good examples in the spec, because they're not
that obvious.
_______________________________________________
lemonade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade